# -*- coding: utf-8 -*-

###########################
# Thumbnails Cleaner      #
# by Max (m4x1m) Headroom #
###########################

import os, xbmcaddon, xbmcgui
from cleaner import Cleaner

addonSettings = xbmcaddon.Addon( "script.thumbnailscleaner" )
addonName = addonSettings.getAddonInfo( "name" )
addonVersion = addonSettings.getAddonInfo( "version" )
addonAuthor = addonSettings.getAddonInfo( "author" )
addonLanguage = addonSettings.getLocalizedString

class GUI( xbmcgui.WindowXMLDialog ):

     def __init__( self, *args, **kwargs ):
	  xbmcgui.WindowXMLDialog.__init__( self )
	  self.doModal()

     def onInit( self ):
	  self.defineControls()
	  # Fixed Labels
	  self.labelTitle.setLabel("%s v%s" % ( addonName, addonVersion ) )
	  self.labelAuthor.setLabel("by %s" % addonAuthor )
	  self.labelFiles.setLabel( addonLanguage(30130) )
	  self.labelSizes.setLabel( addonLanguage(30131) )
	  self.labelTextures.setLabel( addonLanguage(30132) )
	  self.labelBefore.setLabel( addonLanguage(30133) )
	  self.labelAfter.setLabel( addonLanguage(30134) )
	  # Buttons Labels
	  self.buttonClean.setLabel( addonLanguage(30135) )
	  self.buttonSimulate.setLabel( addonLanguage(30136) )
	  self.buttonQuery.setLabel( addonLanguage(30137) )
	  self.buttonEmpty.setLabel( addonLanguage(30138) )
	  self.buttonSettings.setLabel( addonLanguage(30139) )
	  self.buttonExit.setLabel( addonLanguage(30140) )
	  Cleaner( self ).setLabelInfo()

     def defineControls( self ):
	  self.idCancel = (9, 10)
	  # Id Fixed Labels
	  self.idTitle    = 90
	  self.idAuthor   = 91
	  self.idFiles    = 92
	  self.idSizes    = 93
	  self.idTextures = 94
	  self.idBefore   = 95
	  self.idAfter    = 96
	  # Id Output
	  self.idBeforeFiles    = 220
	  self.idBeforeSizes    = 221
	  self.idBeforeTextures = 222
	  self.idAfterFiles     = 223
	  self.idAfterSizes     = 224
	  self.idAfterTextures  = 225
	  # Id Buttons
	  self.idClean    = 21
	  self.idSimulate = 22
	  self.idQuery    = 23
	  self.idEmpty    = 24
	  self.idSettings = 25
	  self.idExit     = 26
	  # Fixed Labels
	  self.labelTitle    = self.getControl(self.idTitle)
	  self.labelAuthor   = self.getControl(self.idAuthor)
	  self.labelFiles    = self.getControl(self.idFiles)
	  self.labelSizes    = self.getControl(self.idSizes)
	  self.labelTextures = self.getControl(self.idTextures)
	  self.labelBefore   = self.getControl(self.idBefore)
	  self.labelAfter    = self.getControl(self.idAfter)
	  # Output
	  self.labelBeforeFiles    = self.getControl(self.idBeforeFiles)
	  self.labelBeforeSizes    = self.getControl(self.idBeforeSizes)
	  self.labelBeforeTextures = self.getControl(self.idBeforeTextures)
	  self.labelAfterFiles     = self.getControl(self.idAfterFiles)
	  self.labelAfterSizes     = self.getControl(self.idAfterSizes)
	  self.labelAfterTextures  = self.getControl(self.idAfterTextures)
	  # Buttons
	  self.buttonClean    = self.getControl(self.idClean)
	  self.buttonSimulate = self.getControl(self.idSimulate)
	  self.buttonQuery    = self.getControl(self.idQuery)
	  self.buttonEmpty    = self.getControl(self.idEmpty)
	  self.buttonSettings = self.getControl(self.idSettings)
	  self.buttonExit     = self.getControl(self.idExit)

     def onClick( self, controlId ):
	  if controlId == self.idClean: Cleaner( self ).doClean(False)
	  elif controlId == self.idSimulate: Cleaner( self ).doClean(True)
	  elif controlId == self.idQuery: Cleaner( self ).queryTable()
	  elif controlId == self.idEmpty: Cleaner( self ).emptyTable()
	  elif controlId == self.idSettings: addonSettings.openSettings()
	  elif controlId == self.idExit: self.closeDialog()

     def onFocus( self, controlId ):
	  pass

     def onAction( self, action ):
	  pass

     def closeDialog( self ):
	  self.close()